<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <OutputType>WinExe</OutputType>
        <TargetFramework>net8.0-windows</TargetFramework>
        <Nullable>enable</Nullable>
        <UseWindowsForms>true</UseWindowsForms>
        <ImplicitUsings>enable</ImplicitUsings>
        <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    </PropertyGroup>

    <ItemGroup>
      <None Update="Config.json">
        <CopyToOutputDirectory>Never</CopyToOutputDirectory>
      </None>
    </ItemGroup>

    <ItemGroup>
      <Folder Include="NBC\Core\Platform\Test\" />
      <Folder Include="NBC\Plugins\" />
    </ItemGroup>

    <ItemGroup>
      <PackageReference Include="Microsoft.CodeAnalysis.CSharp" Version="4.14.0" />
      <PackageReference Include="Microsoft.CodeAnalysis.Scripting" Version="4.14.0" />
      <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
      <PackageReference Include="System.Buffers" Version="4.6.1" />
      <PackageReference Include="System.IO.Pipelines" Version="9.0.8" />
    </ItemGroup>

</Project>